<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for cursoComparendo StructType
 * @subpackage Structs
 */
class CursoComparendo extends AbstractStructBase
{
    /**
     * The fechaComparendo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $fechaComparendo;
    /**
     * The numeroCertificado
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $numeroCertificado;
    /**
     * The numeroComparendo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $numeroComparendo;
    /**
     * The numeroResolucion
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $numeroResolucion;
    /**
     * The organismoTransito
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $organismoTransito;
    /**
     * The referenciaDescuento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $referenciaDescuento;
    /**
     * The tipoComparendo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tipoComparendo;
    /**
     * Constructor method for cursoComparendo
     * @uses CursoComparendo::setFechaComparendo()
     * @uses CursoComparendo::setNumeroCertificado()
     * @uses CursoComparendo::setNumeroComparendo()
     * @uses CursoComparendo::setNumeroResolucion()
     * @uses CursoComparendo::setOrganismoTransito()
     * @uses CursoComparendo::setReferenciaDescuento()
     * @uses CursoComparendo::setTipoComparendo()
     * @param string $fechaComparendo
     * @param string $numeroCertificado
     * @param string $numeroComparendo
     * @param string $numeroResolucion
     * @param string $organismoTransito
     * @param string $referenciaDescuento
     * @param string $tipoComparendo
     */
    public function __construct($fechaComparendo = null, $numeroCertificado = null, $numeroComparendo = null, $numeroResolucion = null, $organismoTransito = null, $referenciaDescuento = null, $tipoComparendo = null)
    {
        $this
            ->setFechaComparendo($fechaComparendo)
            ->setNumeroCertificado($numeroCertificado)
            ->setNumeroComparendo($numeroComparendo)
            ->setNumeroResolucion($numeroResolucion)
            ->setOrganismoTransito($organismoTransito)
            ->setReferenciaDescuento($referenciaDescuento)
            ->setTipoComparendo($tipoComparendo);
    }
    /**
     * Get fechaComparendo value
     * @return string|null
     */
    public function getFechaComparendo()
    {
        return $this->fechaComparendo;
    }
    /**
     * Set fechaComparendo value
     * @param string $fechaComparendo
     * @return \StructType\CursoComparendo
     */
    public function setFechaComparendo($fechaComparendo = null)
    {
        // validation for constraint: string
        if (!is_null($fechaComparendo) && !is_string($fechaComparendo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fechaComparendo, true), gettype($fechaComparendo)), __LINE__);
        }
        $this->fechaComparendo = $fechaComparendo;
        return $this;
    }
    /**
     * Get numeroCertificado value
     * @return string|null
     */
    public function getNumeroCertificado()
    {
        return $this->numeroCertificado;
    }
    /**
     * Set numeroCertificado value
     * @param string $numeroCertificado
     * @return \StructType\CursoComparendo
     */
    public function setNumeroCertificado($numeroCertificado = null)
    {
        // validation for constraint: string
        if (!is_null($numeroCertificado) && !is_string($numeroCertificado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numeroCertificado, true), gettype($numeroCertificado)), __LINE__);
        }
        $this->numeroCertificado = $numeroCertificado;
        return $this;
    }
    /**
     * Get numeroComparendo value
     * @return string|null
     */
    public function getNumeroComparendo()
    {
        return $this->numeroComparendo;
    }
    /**
     * Set numeroComparendo value
     * @param string $numeroComparendo
     * @return \StructType\CursoComparendo
     */
    public function setNumeroComparendo($numeroComparendo = null)
    {
        // validation for constraint: string
        if (!is_null($numeroComparendo) && !is_string($numeroComparendo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numeroComparendo, true), gettype($numeroComparendo)), __LINE__);
        }
        $this->numeroComparendo = $numeroComparendo;
        return $this;
    }
    /**
     * Get numeroResolucion value
     * @return string|null
     */
    public function getNumeroResolucion()
    {
        return $this->numeroResolucion;
    }
    /**
     * Set numeroResolucion value
     * @param string $numeroResolucion
     * @return \StructType\CursoComparendo
     */
    public function setNumeroResolucion($numeroResolucion = null)
    {
        // validation for constraint: string
        if (!is_null($numeroResolucion) && !is_string($numeroResolucion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numeroResolucion, true), gettype($numeroResolucion)), __LINE__);
        }
        $this->numeroResolucion = $numeroResolucion;
        return $this;
    }
    /**
     * Get organismoTransito value
     * @return string|null
     */
    public function getOrganismoTransito()
    {
        return $this->organismoTransito;
    }
    /**
     * Set organismoTransito value
     * @param string $organismoTransito
     * @return \StructType\CursoComparendo
     */
    public function setOrganismoTransito($organismoTransito = null)
    {
        // validation for constraint: string
        if (!is_null($organismoTransito) && !is_string($organismoTransito)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($organismoTransito, true), gettype($organismoTransito)), __LINE__);
        }
        $this->organismoTransito = $organismoTransito;
        return $this;
    }
    /**
     * Get referenciaDescuento value
     * @return string|null
     */
    public function getReferenciaDescuento()
    {
        return $this->referenciaDescuento;
    }
    /**
     * Set referenciaDescuento value
     * @param string $referenciaDescuento
     * @return \StructType\CursoComparendo
     */
    public function setReferenciaDescuento($referenciaDescuento = null)
    {
        // validation for constraint: string
        if (!is_null($referenciaDescuento) && !is_string($referenciaDescuento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($referenciaDescuento, true), gettype($referenciaDescuento)), __LINE__);
        }
        $this->referenciaDescuento = $referenciaDescuento;
        return $this;
    }
    /**
     * Get tipoComparendo value
     * @return string|null
     */
    public function getTipoComparendo()
    {
        return $this->tipoComparendo;
    }
    /**
     * Set tipoComparendo value
     * @param string $tipoComparendo
     * @return \StructType\CursoComparendo
     */
    public function setTipoComparendo($tipoComparendo = null)
    {
        // validation for constraint: string
        if (!is_null($tipoComparendo) && !is_string($tipoComparendo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tipoComparendo, true), gettype($tipoComparendo)), __LINE__);
        }
        $this->tipoComparendo = $tipoComparendo;
        return $this;
    }
}
